package com.zioinfo.hrm.organization;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface OrgMapper {
    List<Map<String, Object>> findAllDepts();
    int insertDept(Map<String, Object> dept);
    int updateDept(Map<String, Object> dept);
    int deleteDept(@Param("id") Long id);
    List<Map<String, Object>> findAllPositions();
    int insertPosition(Map<String, Object> pos);
    List<Map<String, Object>> findAllGrades();
    int insertGrade(Map<String, Object> grade);
}
